Skip to main content

Tasks List By Assignee

Snapshot Catalog Entry

This page is generated from broker tools/list snapshot data.

POSTghl.tasks_list_by_assignee

List tasks for a specific assignee using GHL user ID or team directory lookup.

Request Body

{
"jsonrpc": "2.0",
"id": "ghl-tasks-list-by-assignee-example",
"method": "tools/call",
"params": {
"name": "ghl.tasks_list_by_assignee",
"arguments": {
"locationId": "locationId_123",
"tenantId": "tenantId_123",
"strictTenant": false,
"assignedTo": "assignedTo_example",
"assignedToDiscordId": "assignedToDiscordId_123",
"assignedToName": "assignedToName_example",
"completed": false,
"maxTasks": 1,
"limit": 1
}
}
}

Arguments Schema

{
"type": "object",
"properties": {
"tenantId": {
"type": "string"
},
"strictTenant": {
"type": "boolean"
},
"locationId": {
"type": "string"
},
"assignedTo": {
"type": "string"
},
"assignedToDiscordId": {
"type": "string"
},
"assignedToName": {
"type": "string"
},
"completed": {
"type": "boolean"
},
"maxTasks": {
"type": "number"
},
"limit": {
"type": "number"
}
},
"required": [
"locationId"
],
"additionalProperties": false
}

Code Examples

curl -X POST 'https://madpanda3d.com/lab/mad-mcps/portal/api/mcp' \
-H 'Authorization: Bearer mad_live_***' \
-H 'Content-Type: application/json' \
-d '{
"jsonrpc": "2.0",
"id": "ghl-tasks-list-by-assignee-example",
"method": "tools/call",
"params": {
"name": "ghl.tasks_list_by_assignee",
"arguments": {
"locationId": "locationId_123",
"tenantId": "tenantId_123",
"strictTenant": false,
"assignedTo": "assignedTo_example",
"assignedToDiscordId": "assignedToDiscordId_123",
"assignedToName": "assignedToName_example",
"completed": false,
"maxTasks": 1,
"limit": 1
}
}
}'

Example Responses

{
"ok": true,
"message": "Tool ghl.tasks_list_by_assignee executed successfully.",
"note": "Response shape varies by MCP tool. Inspect live responses for exact fields."
}